import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.StringTokenizer;

public class airplane_sm {
	void solve() throws IOException {
		int m = nextInt();
		assert 1 <= m && m <= 10000;
		int n = nextInt();
		assert 1 <= n && n <= 100;
		int a= nextInt();
		assert 1 <= a && a <= 1000;
		for (int i = 0; i < n; i++) {
			int x = nextInt();
			assert 5 <= x && x <= 100;
			m += x;
		}
		if (a == 1000) {
			out.println("Impossible");
		}else {
			out.printf(Locale.US, "%.6f\n", 1.0 * a * m / (1000 - a));
		}
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;

	public void run() {
		try {
			String filename = this.getClass().getName()
					.substring(0, this.getClass().getName().indexOf("_"));
			br = new BufferedReader(new FileReader(filename + ".in"));
			out = new PrintWriter(filename + ".out");
			solve();
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	String nextToken() {
		try {
			while (st == null || !st.hasMoreTokens()) {
				String s = br.readLine();
				if (s == null) {
					return null;
				}
				st = new StringTokenizer(s);
			}
			return st.nextToken();
		} catch (IOException e) {
			throw new RuntimeException();
		}
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	long nextLong() {
		return Integer.parseInt(nextToken());
	}

	public static void main(String[] args) {
		Locale.setDefault(Locale.US);
		new airplane_sm().run();
	}
}
